Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.framework
Class HibernateEntityQuery

    java.lang.Object
      org.jboss.seam.framework.Controller
          org.jboss.seam.framework.PersistenceController<T>
              org.jboss.seam.framework.Query<org.hibernate.Session>
                  org.jboss.seam.framework.HibernateEntityQuery

All Implemented Interfaces:
  Serializable

    public class HibernateEntityQuery

extends Query<org.hibernate.Session>

A Query object for Hibernate.

Author:
  Gavin King
See Also:
  Serialized Form

Constructor Summary
`HibernateEntityQuery()`

Method Summary
`protected org.hibernate.Query` | `createCountQuery()`
`protected org.hibernate.Query` | `createQuery()`
`protected Boolean` | `getCacheable()`
`protected String` | `getCacheRegion()`
`protected Integer` | `getFetchSize()`
`protected String` | `getPersistenceContextName()`
`Long` | `getResultCount()`
`List` | `getResultList()`
`org.hibernate.Session` | `getSession()`
`Object` | `getSingleResult()`
`void` | `refresh()`
`protected void` | `setCacheable(Boolean cacheable)`
`protected void` | `setCacheRegion(String cacheRegion)`
`protected void` | `setFetchSize(Integer fetchSize)`
`void` | `setSession(org.hibernate.Session session)`
`void` | `validate()`

Methods inherited from class org.jboss.seam.framework.Query
`clearDataModel, evaluateAllParameters, first, getCountEjbql, getDataModel, getEjbql, getFirstResult, getLastFirstResult, getMaxResults, getNextFirstResult, getOrder, getPreviousFirstResult, getQueryParameters, getQueryParameterValues, getRenderedEjbql, getRestrictionParameters, getRestrictionParameterValues, getRestrictions, isAnyParameterDirty, isNextExists, isPreviousExists, isRestrictionParameterSet, last, next, parseEjbql, previous, setEjbql, setFirstResult, setMaxResults, setOrder, setQueryParameterValues, setRestrictionParameterValues, setRestrictions`

Methods inherited from class org.jboss.seam.framework.PersistenceController
`getPersistenceContext, setPersistenceContext`

Methods inherited from class org.jboss.seam.framework.Controller
`addCookie, addFacesMessage, addFacesMessageFromResourceBundle, debug, debug, error, error, failValidation, fatal, fatal, getApplicationContext, getBusinessProcessContext, getComponentInstance, getComponentInstance, getConversation, getConversationContext, getCookie, getEventContext, getEvents, getFacesContext, getFacesMessages, getIdentity, getLog, getMessages, getMethodContext, getPageContext, getRedirect, getSessionContext, getValidator, info, info, interpolate, invalidateSession, isTransactionMarkedRollback, raiseAsynchronousEvent, raiseEvent, raiseTransactionSuccessEvent, render, sendHttpError, sendHttpError, trace, trace, validationFailed, validationSucceeded, warn, warn`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HibernateEntityQuery

    public HibernateEntityQuery()

Method Detail

### validate

    public void validate()

  Overrides:
    `validate` in class `Query<org.hibernate.Session>`

### getResultList

    @Transactional
    public List getResultList()

  Specified by:
    `getResultList` in class `Query<org.hibernate.Session>`

### getSingleResult

    @Transactional
    public Object getSingleResult()

  Specified by:
    `getSingleResult` in class `Query<org.hibernate.Session>`

### getResultCount

    @Transactional
    public Long getResultCount()

  Specified by:
    `getResultCount` in class `Query<org.hibernate.Session>`

### refresh

    public void refresh()

  Overrides:
    `refresh` in class `Query<org.hibernate.Session>`

### getSession

    public org.hibernate.Session getSession()

### setSession

    public void setSession(org.hibernate.Session session)

### getPersistenceContextName

    protected String getPersistenceContextName()

  Specified by:
    `getPersistenceContextName` in class `PersistenceController<org.hibernate.Session>`

### createQuery

    protected org.hibernate.Query createQuery()

### createCountQuery

    protected org.hibernate.Query createCountQuery()

### getCacheable

    protected Boolean getCacheable()

### setCacheable

    protected void setCacheable(Boolean cacheable)

### getCacheRegion

    protected String getCacheRegion()

### setCacheRegion

    protected void setCacheRegion(String cacheRegion)

### getFetchSize

    protected Integer getFetchSize()

### setFetchSize

    protected void setFetchSize(Integer fetchSize)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD